/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class RemplissageMatriceEnConsole {

  /* Fonction de remplissage d'une matrice d'entier       */
  /* par lecture au clavier                               */
  /* m : tableau d'entier a remplir                       */

  public static void remplissageMatrice(int [][] m) {
  /* Pour toute les lignes de la matrice a remplir        */
    for ( int i = 0 ; i < m.length ; i++ )
  /* Pour toute les entiers de la ligne i                 */
  /* de la matrice a remplir                              */
      for ( int j = 0 ; j < m[0].length ; j++ ) {
  /* Lecture au clavier de la valeur a stocker            */
  /* a l'indice (i,j) de m                                */
        Console.out.print("Valeur d'indice "+i+" "+j+" : ");
        m[i][j] = Integer.valueOf(Console.in.readLine()).intValue(); }
  }

  /* Fonction principale                                  */

  public static void main(String [] args) {
    Console.setTitle("RemplissageMatrice");
  /* Lecture au clavier du nombre de lignes               */
  /* et du nombre de colonnes de la matrice               */
    Console.out.print("Combien de lignes  : ");
    int l = Integer.valueOf(Console.in.readLine()).intValue();
    Console.out.print("Combien de colones : ");
    int c = Integer.valueOf(Console.in.readLine()).intValue();
  /* Creation d'une matrice de l sur c entiers            */
    int [][] m = new int[l][c];
  /* Remplissage                                          */
    remplissageMatrice(m);
  }
}